# -*- coding: utf-8 -*-
from setuphelpers import *


def install():

    print("Disable WAPT WUA")
    inifile_writestring(WAPT.config_filename, "waptwua", "enabled", "false")

    print("DisableWindowsUpdateAccess registry to 0")
    registry_set(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Windows\WindowsUpdate", "DisableWindowsUpdateAccess", 0, REG_DWORD)

    print("AUOptions registry to 0")
    registry_set(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update", "AUOptions", 0, REG_DWORD)

    print("Enable wuauserv")
    run_notfatal("sc config wuauserv start= auto")
    run_notfatal("net start wuauserv")

    print("Reload WAPT configuration")
    WAPT.reload_config_if_updated()
